Bug 1489062 (CVE-2017-14129) - CVE-2017-14129 binutils: Heap-based buffer over-read in the read_section function
Summary: CVE-2017-14129 binutils: Heap-based buffer over-read in the read_section func...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14129
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1487761 1487762
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 15:56 UTC by Andrej Nemec
Modified: 2019-09-29 14:20 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:24:44 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 15:56:34 UTC
The read_section function in dwarf2.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, allows attackers to cause a denial of service (parse_comp_unit heap-based buffer over-read and application crash) via a crafted ELF file.

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=22047

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=e4f2723003859dc6b33ca0dadbc4a7659ebf1643

Comment 1 Andrej Nemec 2017-09-06 16:02:28 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1487762]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1487761]


Note You need to log in before you can comment on or make changes to this bug.